Related Plugins and Tags

QGIS Python Plugins Repository

Version: [2007] Sentinel-2 Download 2.0

Changelog
Update Bug tracker and Repository
Add buffer option for Sentinel-2 for Commune Downloader 
Add menu Sentinel-2 Downloader (world)
Approved
yes
Author
nguyenvanthi
Uploaded
March 24, 2020, 12:25 p.m.
Minimum QGIS version
3.0.0
Maximum QGIS version
3.99.0
External dependencies (PIP install string)
None
Experimental
no

Version management

Plugin details

Sustaining Members